configure doen't recognize the right version of gcc in cywin

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

configure doen't recognize the right version of gcc in cywin

Pedro Kröger

Hi,

I'm getting this error while running configure on cygwin (winxp):

ERROR: Please install required programs: gcc >= 2.8 (installed: 0.125)
       g++ >= 3.0.5 (installed: 0.125)

This happens with both 2.6.3 and 2.7.x. configure is getting the last
number from gcc -v:

# gcc version 3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)

The small patch attached seems to fix it, but I tested it only in cygwin
and in my debian box.

Cheers,

Pedro


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel

patch-gcc-cygwin (545 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: configure doen't recognize the right version of gcc in cywin

Jan Nieuwenhuizen
Pedro Kröger writes:

> # gcc version 3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)

Aargh.

> The small patch attached seems to fix it, but I tested it only in cygwin
> and in my debian box.

Thanks for looking into this, but this will probably break when doing:

    CC=gcc-3.4 CXX=g++-3.4 ./configure

Can you try?  I'm not exactly sure what to do.  Probably first sed-out
everything in parentheses.

Jan.

--
Jan Nieuwenhuizen <[hidden email]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: configure doen't recognize the right version of gcc in cywin

Pedro Kröger
Jan Nieuwenhuizen <[hidden email]> writes:

> Thanks for looking into this, but this will probably break when doing:
>
>     CC=gcc-3.4 CXX=g++-3.4 ./configure

Yep, it did break.

> I'm not exactly sure what to do.  Probably first sed-out everything in
> parentheses.

I think this will work.

Pedro


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel